// SetDocIdDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SetDocIdDlg.h"

#include "apl_api.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetDocIdDlg dialog


CSetDocIdDlg::CSetDocIdDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetDocIdDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetDocIdDlg)
	m_edit1 = _T("");
	m_part1 = _T("");
	m_part2 = _T("");
	m_part3 = _T("");
	//}}AFX_DATA_INIT


	m_api=0;
	m_inst=0;
}


void CSetDocIdDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetDocIdDlg)
	DDX_Text(pDX, IDC_EDIT1, m_edit1);
	DDX_CBString(pDX, IDC_PART1, m_part1);
	DDX_CBString(pDX, IDC_PART2, m_part2);
	DDX_CBString(pDX, IDC_PART3, m_part3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetDocIdDlg, CDialog)
	//{{AFX_MSG_MAP(CSetDocIdDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetDocIdDlg message handlers


BOOL CSetDocIdDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here

	int i0=m_id.Find('-');
	if(i0>0)
	{
		m_part1=m_id.Left(i0);

		int i1=m_id.Find('-',i0+1);
		if(i1>0)
		{
			m_part2=m_id.Mid(i0+1,i1-i0-1);

			int i2=m_id.Find('-',i1+1);
			if(i2>0)
			{
				m_edit1=m_id.Mid(i1+1,i2-i1-1);

				m_part3=m_id.Right(m_id.GetLength()-i2-1);
			}
		}
	}
	UpdateData(FALSE);


	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}



void CSetDocIdDlg::OnOK() 
{
	// TODO: Add extra validation here

	UpdateData(TRUE);

	if(m_part1.IsEmpty()) {AfxMessageBox("  !"); return;}
	if(m_part2.IsEmpty()) {AfxMessageBox("  !"); return;}
	if(m_edit1.IsEmpty()) {AfxMessageBox("  !"); return;}
	if(m_part3.IsEmpty()) {AfxMessageBox("   !"); return;}

	m_id=m_part1 + "-" + m_part2 + "-" + m_edit1 + "-" + m_part3;


	if(m_api!=0)
	{
		CaplInstance *inst1=m_api->m_doc_mgr.FindDocById(m_id);
		if(inst1!=0)
		{
			if(inst1!=m_inst) 
			{
				AfxMessageBox("  !"); 
				return;
			}
		}
	}
	
	CDialog::OnOK();
}
